New release of the Hydra gem – 6.1.0

We’re pleased to announce the 6.1.0 release of the optional Hydra gem.  This release contains over 300 fixes and new features since Hydra 6.0.0.  All of these changes should be backwards compatible if you are upgrading from Hydra 6.0.0.

To use Hydra 6.1.0 add the following line to your Gemfile:

gem ‘hydra’, ‘6.1.0’

Then bundle install.

After installing, you will likely encounter a number of deprecation warnings. Please pay heed to these, as this deprecated functionality will be removed in the 7.0.0 release of the Hydra gem.

A full list of changes can be found using the following links:

https://github.com/projecthydra/hydra-head/compare/v6.3.1…v6.4.0

https://github.com/projecthydra/active_fedora/compare/v6.4.0…v6.7.0

https://github.com/projectblacklight/blacklight/compare/v4.2.1…v4.5.0

https://github.com/projecthydra/jettywrapper/compare/v1.4.1…v1.5.0

https://github.com/projecthydra/om/compare/v3.0.1…v3.0.3

Thanks to Justin Coyne for this release and to countless others in the Hydra community who contributed to the underlying changes.

The current versions of all Hydra gems can be accessed through https://wiki.duraspace.org/display/hydra/Gems+and+documentation

This entry was posted in News, Software updates. Bookmark the permalink.